Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WGrid
Class RowInfo

    java.lang.Object
      LumiSoft.UI.Controls.WGrid.RowInfo

    public class RowInfo

extends java.lang.Object

Author:
  Ivar To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Method Summary
`java.awt.Rectangle` | `getBounds()` Gets row bounding rectangle.
`WGridTableView` | `getDetailView()` Gets row child view.
`int` | `getRowHeight()` Gets row height.
`DataRowView` | `getRowSource()` Gets row.
`java.lang.Object` | `GetValue(Column column)` Gets specified cell value for this row.
`int` | `getY()` Gets row Y position.
`void` | `setBounds(java.awt.Rectangle value)` Sets row bounding rectangle.
`void` | `setDetailView(WGridTableView value)` Sets row child view.
`void` | `setRowHeight(int value)` Sets row height.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### GetValue

    public java.lang.Object GetValue(Column column)

  Gets specified cell value for this row.

  Parameters:
    `column` - Column which value to get.
  Returns:
    Returns specified cell value.

### getRowSource

    public DataRowView getRowSource()

  Gets row.

  Returns:

### getRowHeight

    public int getRowHeight()

  Gets row height.

  Returns:

### setRowHeight

    public void setRowHeight(int value)

  Sets row height.

  Parameters:
    `value` - Row height.

### getBounds

    public java.awt.Rectangle getBounds()

  Gets row bounding rectangle.

  Returns:

### setBounds

    public void setBounds(java.awt.Rectangle value)

  Sets row bounding rectangle.

  Parameters:
    `value` -

### getY

    public int getY()

  Gets row Y position.

### getDetailView

    public WGridTableView getDetailView()

  Gets row child view.

  Returns:

### setDetailView

    public void setDetailView(WGridTableView value)

  Sets row child view.

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD